
Infrastructure - Bug #4087

Regex in DateTimeMarshaller allowing invalid xsd dateTime

2013-10-14 23:17 - Robert Waltz

Status: Closed Start date: 2013-10-14

Priority: Normal Due date: 2015-01-06

Assignee: Robert Waltz % Done: 100%

Category: d1_common_java Estimated time: 0.00 hour

Target version: CCI-1.5.0   

Milestone: CCI-1.4 Story Points:  

Product Version: 1.2.0   

Description

The XSD spec should be followed in the DateTimeMarshaller class

The current regular expression for DateTime TimeZone pattern is  (?:(?:[\+\-]\d\d:?\d\d)|Z)

But the spec states that the ':' is not optional

http://www.w3.org/TR/xmlschema-2/#dateTime

(2013-10-14 18:42:06) robert: The lexical representation of a timezone is a string of the form: (('+' | '-') hh ':' mm) | 'Z'
#1 - 2013-10-28 20:24 - Robert Waltz

- Target version changed from 2013.42-Block.5.4 to 2013.44-Block.6.1

- Due date changed from 2013-10-26 to 2013-11-09

#2 - 2014-01-06 22:47 - Robert Waltz

- Milestone changed from CCI-1.2 to CCI-1.3

- Due date changed from 2013-11-09 to 2014-02-01

- Target version changed from 2013.44-Block.6.1 to 2014.4-Block.1.2

#3 - 2014-03-14 18:11 - Robert Waltz

- Status changed from In Progress to Testing

#4 - 2014-03-14 18:12 - Robert Waltz

- Due date changed from 2014-02-01 to 2014-03-29

- Target version changed from 2014.4-Block.1.2 to 2014.12-Block.2.2

#5 - 2014-03-31 18:12 - Rob Nahf

While looking into whether I could help out on closing out this ticket, I noticed that there seem to be standardized solutions out there for what we are

doing  (via xmlbeans.apache.org.XMLDateTime and XmlDateTime.Factory).

So the question is whether we can reduce our maintenance load and be more inline with what others are doing by adopting those solutions.  Have we

looked into these solutions before?

#6 - 2014-03-31 18:13 - Rob Nahf

- Target version changed from 2014.12-Block.2.2 to 2014.14-Block.2.3

- Due date changed from 2014-03-29 to 2014-04-12

#7 - 2014-04-09 16:14 - Chris Jones

- Milestone changed from CCI-1.3 to CCI-1.2

After sprint planning discussions, we decided to include this into the CCI 1.2.6 release.

#8 - 2014-05-04 07:26 - Robert Waltz

- Status changed from Testing to Closed

#9 - 2014-09-24 18:25 - Skye Roseboom

- Due date changed from 2014-04-12 to 2014-09-24

- Target version changed from 2014.14-Block.2.3 to CCI-1.5.0

#10 - 2014-09-24 22:07 - Robert Waltz

- Status changed from Closed to In Progress

#11 - 2014-09-24 22:07 - Robert Waltz

- Status changed from In Progress to Testing

#12 - 2014-10-02 19:49 - Robert Waltz

- Due date changed from 2014-09-24 to 2014-10-02

- Target version changed from CCI-1.5.0 to CCI-1.4.1
#13 - 2014-10-02 20:07 - Robert Waltz

- Milestone changed from CCI-1.2 to CCI-1.4

#14 - 2014-10-02 21:56 - Rob Nahf

- Due date changed from 2014-10-02 to 2014-10-17

#15 - 2014-10-07 20:25 - Rob Nahf

- Product Version changed from 1.1.4 to 1.2.0

v1.1.4 of d1_common_java was not released, so researched svn, and determined this fix was released in v1.2.0.

#16 - 2014-10-07 21:26 - Robert Waltz

- Target version changed from CCI-1.4.1 to CCI-1.5.0

- Due date changed from 2014-10-17 to 2014-10-07

#17 - 2014-10-20 20:43 - Rob Nahf

- Due date changed from 2014-10-07 to 2014-10-20

#18 - 2014-10-27 20:47 - Rob Nahf

- Due date changed from 2014-10-20 to 2014-10-27

Unless I'm missing something, this seems to be already in a tagged product release. D1_COMMON_JAVA_v1.2.0, which is already incorporated into

tags/D1_CN_COMMON_v1.2.0, referencing v1.2.1 of d1_common_java.  I assume that the presence of this d1_cn_common tag means that it is in

production?

#19 - 2015-01-06 18:13 - Robert Waltz

- Status changed from Testing to Closed

- Due date changed from 2014-10-27 to 2015-01-06
